

data.raw.player.player.running_speed = data.raw.player.player.running_speed /2.4
data.raw.player.player.mining_speed = data.raw.player.player.mining_speed /2.4

function power2number(str)
local number = 0
if str:sub(-2) == "kW" then
	number = tonumber(str:sub(1,-3))*1000
elseif str:sub(-2) == "MW" then
	number = tonumber(str:sub(1,-3))*1000000
elseif str:sub(-1) == "W" then
	number = tonumber(str:sub(1,-2))
end
return number

end

function number2power(number)

return number.."W"

end

for _, biter in pairs(data.raw.unit) do
	biter.movement_speed = biter.movement_speed/2.4
end

for _, belt in pairs(data.raw["transport-belt"]) do
	belt.speed = belt.speed / 2.4
	if belt.speed <0.039 then
		belt.animation_speed_coefficient = (belt.animation_speed_coefficient or 0) / 1.11
	end
end

for _, belt in pairs(data.raw["underground-belt"]) do
	belt.speed = belt.speed / 2.4
	if belt.speed <0.039 then
		belt.animation_speed_coefficient = (belt.animation_speed_coefficient or 0) / 1.11
	end
end

for _, splitter in pairs(data.raw["splitter"]) do
	splitter.speed = splitter.speed / 2.4
	if splitter.speed <0.039 then
		splitter.animation_speed_coefficient = (splitter.animation_speed_coefficient or 0) / 1.11
	end
end

for _, prototype in pairs(data.raw["assembling-machine"]) do
	prototype.crafting_speed = prototype.crafting_speed / 2.4
end

for _, prototype in pairs(data.raw["car"]) do
	--rotation_speed = (rotation_speed or 0.0035) / 2.4
	prototype.rotation_speed = prototype.rotation_speed / 2
	prototype.turret_rotation_speed = (prototype.turret_rotation_speed or 0)/2.4
	prototype.braking_power = number2power(power2number(prototype.braking_power)/2.4)
	prototype.consumption = number2power(power2number(prototype.consumption)/2.4)
	--if prototype.terrain_friction_modifier then
	--	prototype.terrain_friction_modifier = math.min(1,prototype.terrain_friction_modifier*2.4)
	--end
	--prototype.friction = prototype.friction*2.4
	prototype.friction = prototype.friction*1.1
end

for _, prototype in pairs(data.raw["mining-drill"]) do
	prototype.mining_speed = prototype.mining_speed / 2.4
end

for _, prototype in pairs(data.raw["projectile"]) do
	prototype.speed = (prototype.speed or 0) / 2.4
end	

for _, prototype in pairs(data.raw["item"]) do
	if prototype.fuel_acceleration_multiplier then
		prototype.fuel_acceleration_multiplier = (prototype.fuel_acceleration_multiplier or 0) / 2.4
	end
end
function recursive_tables(tbl)

	if tbl.animation_speed then
		tbl.animation_speed = tbl.animation_speed / 2.4
	end
	if tbl.cooldown then
		tbl.cooldown = tbl.cooldown * 2.4
	end
	if tbl.time_factor then
		tbl.time_factor = tbl.time_factor / 2.4
	end
	if tbl.duration then
		tbl.duration = tbl.duration * 2.4
	end
	if tbl.spread_duration then
		tbl.spread_duration = tbl.spread_duration * 2.4
	end
	if tbl.fade_away_duration then
		tbl.fade_away_duration = tbl.fade_away_duration * 2.4
	end
	if tbl.fade_in_duration then
		tbl.fade_in_duration = tbl.fade_in_duration * 2.4
	end
	if tbl.fade_out_duration then
		tbl.fade_out_duration = tbl.fade_out_duration * 2.4
	end
	if tbl.dying_speed then
		tbl.dying_speed = tbl.dying_speed / 2.4
	end
	for name, entry in pairs(tbl) do
		if type(entry) == "table" then
			recursive_tables(entry)
		end
	end
end
for _, category in pairs(data.raw) do
	for _, prototype in pairs(category) do
		if prototype.type ~="player" then
			--if prototype.animation and prototype.animation.animation_speed then
			--	
			--	prototype.animation.animation_speed = prototype.animation.animation_speed/8.4
			--	if prototype.animation.hr_version and prototype.animation.hr_version.animation_speed then
			--		prototype.animation.hr_version.animation_speed=prototype.animation.hr_version.animation_speed/8.4
			--	end
			--else
			recursive_tables(prototype)
				--for _, entry in pairs(prototype) do
				--	if type(entry) == "table" then
				--		recursive_tables(entry)
				--	end
				--end
			--end
		end
	end
end